eureka:
  instance:
    hostname: eureka
    prefer-ip-address: true
    instance-id: ${spring.application.name}:${spring.cloud.client.ipAddress}:${spring.application.instance_id:${server.port}}
    # 心跳时间，即服务续约间隔时间（缺省为30s）
    lease-renewal-interval-in-seconds: 10
    # 发呆时间，即服务续约到期时间（缺省为90s）
    lease-expiration-duration-in-seconds: 20
  client:
    registry-fetch-interval-seconds: 5
    serviceUrl:
      defaultZone: http://localhost:20000/eureka/
server:
  port: 10002
  servlet:
    context-path: /ciop
  tomcat:
    uri-encoding: UTF-8
    max-threads: 200
    max-connections: 2000
winsun:
  app:
    version: @project.version@
    name: ${spring.application.name}
    scanner: false
  #是否开启swagger (true/false)
  swagger-open: false
  #是否开启登录时验证码 (true/false)
  kaptcha-open: false
  #是否开启spring session,如果是多机环境需要开启(true/false)
  spring-session-open: true
  redis-session-expire: 86400
  #session失效时间(只在单机环境下生效，多机环境在SpringSessionConfig类中配置) 单位：秒
  session-invalidate-time: 86400
  #多久检测一次失效的session(只在单机环境下生效) 单位：秒
  session-validation-interval: 43200
spring:
  profiles:
    active: prod
  cloud:
    stream:
      bindings:
        menuInput:
          #要和output的destination一致, 这样才能将队列和写入消息的exchange关联起来
          destination: queue.menu.messages
          binder: local_rabbit
          group: menuMessageConsumers
          content-type: application/json
      binders:
        local_rabbit:
          type: rabbit
          environment:
            spring:
              rabbitmq:
                host: ${spring.rabbitmq.host}
                port: ${spring.rabbitmq.port}
                password: ${spring.rabbitmq.username}
                username: ${spring.rabbitmq.password}
      rabbit:
        bindings:
          input:
            consumer:
              # maxumum concurrency of this consumer (threads)
              max-concurrency: 50
              # number of prefetched messages pre consumer thread
              prefetch: 100
              # true to requeue rejected messages, false to discard (or route to DLQ)
              requeue-rejected: false
              # republish failures to the DLQ with diagnostic headers
              republish-to-dlq: true
  rabbitmq:
    host: localhost
    port: 5672
    username: root
    password: root
  redis:
    clusterWhether: false
    cluster:
      max-redirects: 3
      nodes:
        - ${spring.redis.host}:${spring.redis.port}
    database: 0
    host: localhost
    port: 6379
    password:
    lettuce:
      pool:
        max-active: -1
        max-wait: -1
        max-idle: 8
        min-idle: 0
    timeout: 5000
    ip:
      exprie: 600
      prohibition: 600
  datasource:
    url: jdbc:mysql://localhost:3306/school_center?autoReconnect=true&useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=CONVERT_TO_NULL&useSSL=false&serverTimezone=CTT&allowPublicKeyRetrieval=true
    username: root
    password: AMrGBg6ZSsRrDLs6
    #用来搜集数据库的所有表
    db-name: guns
    filters: wall,mergeStat
    driver-class-name: com.mysql.cj.jdbc.Driver
    max-active: 20
    dynamic:
      primary: master
      p6spy: true
      druid:
        filters: stat
      datasource:
        master:
          url: ${spring.datasource.url}
          username: ${spring.datasource.username}
          password: ${spring.datasource.password}
          driver-class-name: ${spring.datasource.driver-class-name}
          max-active: ${spring.datasource.max-active}
  devtools:
    restart:
      enabled: false
      additional-paths: src/main/java
      exclude: static/**,WEB-INF/view/**
  servlet:
    multipart:
      enabled: true
      max-request-size: 100MB
      max-file-size: 100MB
  application:
    name: core
mybatis-plus:
  typeAliasesPackage: com.winsun.auth.model.common,com.winsun.auth.model.merchant,com.winsun.auth.model.user,com.winsun.auth.core.node
  mapper-locations:
    - /com/winsun/item/modular/system/dao/mapping/*.xml
management:
  endpoints:
    web:
      exposure:
        include: bus-refresh
messageconfig:
  url:
  user:
  pwt:
  channel:
  phoneRule:
    enabled:
    rule: